@import "../../../../styles/theme/colors";
@import "../../../../styles/theme/font";
@import "../../../../styles/theme/variables";
@import "../../../../styles/utils/responsive";

.email-button {
    background-color: $blue;
    box-shadow: none;
    margin-left: 16px;

    &__icon {
        color: $white-35;
    }

    &:hover {
        background-color: $black-08;
    }

    @include respond(phone) {
        margin-top: 0;
    }
}

.email-menu-header {
    padding: 16px 16px 0 16px;

    &__title {
        margin: 0;
        font-weight: $fw-lighter;
        font-size: $fs-large;
        color: $dark-grey;
    }

    &__subtitle {
        color: $warn;
        font-weight: $fw-lighter;
        font-size: $fs-small;
        margin: 4px 0 16px 0;
    }
}

.mail-wrapper {
    cursor: pointer;
    display: flex;
    padding: 6px 16px;

    &:hover {
        background-color: $blue-white;
    }

    &__icon-wrapper {
        display: flex;
        flex-direction: column;
    }

    &__icon {
        font-weight: $fw-lighter;
        font-size: $fs-small;
        color: $white;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: none;
        width: 30px;
        height: 30px;
    }

    &__time {
        text-align: center;
        color: $grey;
        font-weight: $fw-lighter;
        font-size: $fs-xs;
    }
}

.mail-content {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    padding-left: 16px;
    justify-content: space-between;

    &__user {
        margin-top: 3px;
        font-weight: $fw-normal;
        font-size: $fs-small;
        color: $dark-grey;
    }

    &__message {
        color: $grey;
        font-weight: $fs-small;
        font-size: $fs-small;
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }
}

.send-message-button-wrapper {
    margin: 16px 0;
    text-align: center;
    padding: 0 16px;
}

.send-message-button {
    width: 224px;
    height: 48px;
    padding: 0 16px;
    border-radius: 32px;
    color: $white;
    background-color: $blue;

    & .mat-button-wrapper {
        padding: 0;
    }

    &__icon {
        color: $white;
        margin-left: 16px;
    }
}

.yellow {
    background-color: $yellow;
}

.green {
    background-color: $green;
}

.blue {
    background-color: $blue;
}

.ping {
    background-color: $warn;
}
